Package org.codehaus.groovy.control.customizers

# Interface SecureASTCustomizer.StatementChecker

Enclosing class:
  `SecureASTCustomizer`

public static interface SecureASTCustomizer.StatementChecker
This interface allows the user to plugin custom statement checkers if statement blacklist or whitelist are not sufficient

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAuthorized(Statement expression)`

## Method Details

### isAuthorized

boolean isAuthorized(Statement expression)